#pragma once

/*#ifdef _WIN64
#include <SDL.h>
#include <SDL_image.h>
#endif

#ifdef __APPLE__
#include <SDL2/SDL.h>
#include "/Users/sergio/SynologyDrive/programacio/SDL2-devel-macos/include/SDL_image.h"
#endif*/
#include "ifdefs.h"

#include "sprite.h"

#ifndef SPRITEMOVING_H
#define SPRITEMOVING_H

//Clase spritemoving
class SpriteMoving : public Sprite
{
public:
    //Constructor
    SpriteMoving();

    //Iniciador
    void init(float x, float y, int w, int h, float velx, float vely, LTexture *texture, SDL_Renderer *renderer);

    //Mueve el sprite
    void move();

    //Muestra el sprite por pantalla
    void render();

    //Obten el valor de la variable
    float getPosX();
    
    //Obten el valor de la variable
    float getPosY();
    
    //Obten el valor de la variable
    float getVelX();
    
    //Obten el valor de la variable
    float getVelY();
    
    //Establece el valor de la variable
    void setPosX(float x);
    
    //Establece el valor de la variable
    void setPosY(float y);

    //Establece el valor de la variable
    void setVelX(float x);
    
    //Establece el valor de la variable
    void setVelY(float y);

private:
    float mPosX;
    float mPosY;
    float mVelX;
    float mVelY;
};

#endif
